summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
Diffstat (limited to 'academic')
-rw-r--r--academic/archeopteryx/README11
-rw-r--r--academic/archeopteryx/References4
-rw-r--r--academic/archeopteryx/archeopteryx.SlackBuild60
-rw-r--r--academic/archeopteryx/archeopteryx.desktop7
-rw-r--r--academic/archeopteryx/archeopteryx.info10
-rw-r--r--academic/archeopteryx/archeopteryx.pngbin0 -> 39248 bytes
-rw-r--r--academic/archeopteryx/doinst.sh3
-rw-r--r--academic/archeopteryx/slack-desc19
8 files changed, 114 insertions, 0 deletions
diff --git a/academic/archeopteryx/README b/academic/archeopteryx/README
new file mode 100644
index 0000000000..f5940b6f7f
--- /dev/null
+++ b/academic/archeopteryx/README
@@ -0,0 +1,11 @@
+Archaeopteryx: visualise, analyse and edit phylogenetic trees
+
+Archaeopteryx is a software tool for the visualization, analysis, and
+editing of potentially large and highly annotated phylogenetic trees.
+Archaeopteryx (the successor to ATV) is entirely written in the Java
+programming language and is based on the forester libraries.
+
+Please cite:
+Han M.V. and Zmasek C.M. (2009)
+phyloXML: XML for evolutionary biology and comparative genomics
+BMC Bioinformatics, 10:356.
diff --git a/academic/archeopteryx/References b/academic/archeopteryx/References
new file mode 100644
index 0000000000..bec0a4ddb1
--- /dev/null
+++ b/academic/archeopteryx/References
@@ -0,0 +1,4 @@
+Please cite:
+Han M.V. and Zmasek C.M. (2009)
+phyloXML: XML for evolutionary biology and comparative genomics
+BMC Bioinformatics, 10:356.
diff --git a/academic/archeopteryx/archeopteryx.SlackBuild b/academic/archeopteryx/archeopteryx.SlackBuild
new file mode 100644
index 0000000000..6f8327f389
--- /dev/null
+++ b/academic/archeopteryx/archeopteryx.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for archeopteryx
+
+# Copyright 2014 Petar Petrov petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=archeopteryx
+VERSION=${VERSION:-0.9899_beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=forester
+SRCVER=1037
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+install -D -m755 $CWD/${SRCNAM}_${SRCVER}.jar $PKG/usr/bin/$PRGNAM.jar
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# I did not find an icon, so I quickly modified some picture of an archeopteryx...
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/archeopteryx/archeopteryx.desktop b/academic/archeopteryx/archeopteryx.desktop
new file mode 100644
index 0000000000..8387b60fd9
--- /dev/null
+++ b/academic/archeopteryx/archeopteryx.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Education;
+Exec=java -Xmx2048m -jar /usr/bin/archeopteryx.jar
+Icon=archeopteryx.png
+Name=Archeopteryx
+StartupNotify=false
+Type=Application
diff --git a/academic/archeopteryx/archeopteryx.info b/academic/archeopteryx/archeopteryx.info
new file mode 100644
index 0000000000..3b8f7310b9
--- /dev/null
+++ b/academic/archeopteryx/archeopteryx.info
@@ -0,0 +1,10 @@
+PRGNAM="archeopteryx"
+VERSION="0.9899_beta"
+HOMEPAGE="https://sites.google.com/site/cmzmasek/home/software/archaeopteryx"
+DOWNLOAD="https://googledrive.com/host/0BxMokdxOh-JRM1d2azFoRnF3bGM/download/forester_1037.jar"
+MD5SUM="84fdaf7ab00b4d1be16ce0ace2289e1a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/archeopteryx/archeopteryx.png b/academic/archeopteryx/archeopteryx.png
new file mode 100644
index 0000000000..5663c1b87e
--- /dev/null
+++ b/academic/archeopteryx/archeopteryx.png
Binary files differ
diff --git a/academic/archeopteryx/doinst.sh b/academic/archeopteryx/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/archeopteryx/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/archeopteryx/slack-desc b/academic/archeopteryx/slack-desc
new file mode 100644
index 0000000000..1bd01361d1
--- /dev/null
+++ b/academic/archeopteryx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+archeopteryx: archeopteryx (Visualise, analyse and edit phylogenetic trees)
+archeopteryx:
+archeopteryx: Archaeopteryx is a software tool for the visualization, analysis,
+archeopteryx: and editing of potentially large and highly annotated phylogenetic
+archeopteryx: trees.
+archeopteryx:
+archeopteryx:
+archeopteryx:
+archeopteryx:
+archeopteryx:
+archeopteryx: